from django.urls import re_path

from vibes_auth.messaging.consumers import StaffInboxConsumer, ThreadConsumer, UserMessageConsumer

websocket_urlpatterns = [
    re_path(r"^ws/chat/message$", UserMessageConsumer.as_asgi()),
    re_path(r"^ws/chat/staff/$", StaffInboxConsumer.as_asgi()),
    re_path(r"^ws/chat/thread/(?P<thread_id>[0-9a-fA-F-]{36})/$", ThreadConsumer.as_asgi()),
]
